From 0f08d04698c814955116b6bae50752e64b774d8f Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Romain=20Gon=C3=A7alves?= <me@rgoncalves.se>
Date: Thu, 23 Dec 2021 18:28:03 +0000
Subject: Thu Dec 23 06:28:03 PM UTC 2021

---
 .bin/start-org | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)
 create mode 100755 .bin/start-org

(limited to '.bin/start-org')

diff --git a/.bin/start-org b/.bin/start-org
new file mode 100755
index 0000000..c32b99e
--- /dev/null
+++ b/.bin/start-org
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+set -xe
+
+session_name="org"
+windows="wchat:weechat
+	nmutt:neomutt
+	calcurse:calcurse"
+
+if [ "${1}" = "-f" ]; then
+	tmux kill-session -t "${session_name}"
+fi
+
+tmux new-session -s "${session_name}" -d
+
+for window in ${windows}; do
+	window_cmd=$(echo "${window}" | cut -d ":" -f 1)
+	window_name=$(echo "${window}" | cut -d ":" -f 2)
+
+	tmux new-window -n "${window_name}"
+	tmux send-keys -t "${session_name}:${window_name}" \
+		"${window_cmd} "
+done
+
+tmux a -t "${session_name}"
-- 
cgit v1.2.3